Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000839Core InformKinds and type checkingpublic2012-01-13 15:482014-05-07 07:34
Assigned Tograham 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000839: The kinds ``rulebook outcome'' and "topic" do not appear in the kinds tab of the index
DescriptionRulebook outcome isn't among the kinds listed in the index, even though Inform understands it as a kind and has values with that type.

Neither is topic.
Minimal Source Text To Reproduce
There is a room.
TagsNo tags attached.
Effect(cosmetic) Index is created incorrectly
Attached Files

- Relationships
related to 0000838closedgraham Global variables cannot be declared to hold rulebook outcomes 

-  Notes
EmacsUser (manager)
2012-01-13 16:05

Hmm, ``topic'' is also absent from the list.
graham (administrator)
2014-01-14 13:02

I was in two minds about this, but having fixed 0000838, I thought we might as well allow "rulebook outcome" to be visible in the Kinds index. But not "topic", which isn't a kind.

- Issue History
Date Modified Username Field Change
2012-01-13 15:48 EmacsUser New Issue
2012-01-13 15:48 EmacsUser Issue generated from 0000838
2012-01-13 15:48 EmacsUser Relationship added related to 0000838
2012-01-13 16:05 EmacsUser Note Added: 0001515
2012-06-20 08:24 curiousdannii Status new => confirmed
2012-06-20 08:24 curiousdannii Summary The kind ``rulebook outcome'' does not appear in the kinds tab of the index => The kinds ``rulebook outcome'' and "topic" do not appear in the kinds tab of the index
2012-06-20 08:24 curiousdannii Description Updated View Revisions
2014-01-14 13:02 graham Note Added: 0002291
2014-01-14 13:02 graham Status confirmed => resolved
2014-01-14 13:02 graham Resolution open => fixed
2014-01-14 13:02 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker